gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: -fix checks


From: gnunet
Subject: [taler-deployment] branch master updated: -fix checks
Date: Sat, 04 Mar 2023 19:43:25 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 2614e46  -fix checks
2614e46 is described below

commit 2614e46baa95748f81afaf5d05fe92d73e212688
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sat Mar 4 19:43:23 2023 +0100

    -fix checks
---
 netzbon/config_nginx.sh | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

diff --git a/netzbon/config_nginx.sh b/netzbon/config_nginx.sh
index e21f1ba..14fc4e4 100755
--- a/netzbon/config_nginx.sh
+++ b/netzbon/config_nginx.sh
@@ -3,10 +3,22 @@
 
 # Inputs: DOMAIN_NAME & ENABLE_TLS
 
+
 source functions.sh
 source config/user.conf
 source config/internal.conf
 
+if test -z ${DOMAIN_NAME:-}
+then
+    say "Error: config/user.conf does not specify DOMAIN_NAME"
+    exit 1
+fi
+if test -z ${ENABLE_TLS:-}
+then
+    say "Error: config/user.conf does not specify ENABLE_TLS"
+    exit 1
+fi
+
 say "Configuring Nginx"
 
 systemctl start nginx
@@ -25,7 +37,7 @@ ln -s ${SITES_AVAILABLE_DIR}/taler-merchant 
${SITES_ENABLED_DIR}/backend.${DOMAI
 sed -i 's/server_name localhost/server_name bank.${DOMAIN_NAME}/g' 
${SITES_AVAILABLE_DIR}/libeufin-sandbox
 ln -s ${SITES_AVAILABLE_DIR}/libeufin-sandbox 
${SITES_ENABLED_DIR}/bank.${DOMAIN_NAME}
 
-if test ${ENABLE_TLS} = "y"
+if test ${ENABLE_TLS} == "y"
 then
     say "Obtaining TLS certificates"
 

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]